Skala
Stock transactions

Get stock transaction details

Retrieves the specific details of a single stock transaction using its unique identifier.

GET
/api/stock_transactions/{id}

Retrieves the specific details of a single stock transaction using its unique identifier.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockTransaction identifier

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_transactions/string"
{
  "id": 0,
  "code": "string",
  "quantity": "string",
  "quantityAfter": "string",
  "unitPrice": "string",
  "valueInStock": "string",
  "averageCost": "string",
  "status": "string",
  "relatedType": "string",
  "relatedById": 0,
  "relatedItemById": 0,
  "variantId": 0,
  "date": "2019-08-24T14:15:22Z",
  "location": {
    "id": 0,
    "name": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "stock": {
    "id": 0,
    "unit": {
      "id": 0,
      "name": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "currency": {
      "id": 0,
      "code": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "batch": {
    "id": 0,
    "barcode": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "createdAt": "2019-08-24T14:15:22Z"
}
Empty